// CMainWindow.h

#ifndef _CMAINWINDOW_H_INCLUDED_
#define _CMAINWINDOW_H_INCLUDED_

#include <string>
#include "../fluid_project/CFluidWindow.h"
#include <FL/Fl_Native_File_Chooser.H>

class CMainWindow : public CFluidWindow {
public:
    void show();
    void click_radio_button( int button_id );
    void click_check_button();
    void click_menu_save();
    void click_menu_load();

    // callback functions
    static void callback_window_closing(Fl_Widget* widg, void* userdata_);
    static void callback_radio_button(Fl_Widget* widg, void* userdata_);
    static void callback_check_button(Fl_Widget* widg, void* userdata_);

    static void callback_menu_save(Fl_Widget* widg, void* userdata_);
    static void callback_menu_load(Fl_Widget* widg, void* userdata_);
};//class CMainWindow

class CRadioSelector {
    CMainWindow* window;
    int button_id;
public:
    CRadioSelector( CMainWindow* window, int button_id );
    void select();
};// struct SRadioSelector

// global function declarations
std::string select_file( std::string prompt );

#endif // _CMAINWINDOW_H_INCLUDED_
